PDA

View Full Version : [ubuntu] Installing itunes



michael.693
September 7th, 2008, 11:31 AM
Hello, first of all thankyou guys for all your work, Ubuntu is great!

ok next thing, i want to put this xp computer away for a while as i am pretty sure it has a virus anyway my sister doesnt want me to put this computer away as this computer has itunes on it.

I have tried to install itunes through the wine installer and it worked, but everytime i tried to load it the screen wnt blank then it would take a while for its usualy settings to come back, after that itunes does load but not fully, is there anyway to stop it from going blank and anyway to make itunes load fully..

Any help will be great.

Michael.

Paul41
September 7th, 2008, 12:36 PM
Does it absolutely have to be iTunes? Rythembox, Banshee and several other programs are a lot like iTunes and will work with iPods.

michael.693
September 9th, 2008, 08:23 AM
O really, i will try some of them.










thanks.
Michael.

ImNeat
September 10th, 2008, 11:55 PM
I'm having a similar issue with itunes 8 - not sure what's going wrong. The install still seems to finish correctly, but there's no itunes directory in Program Files.

Any ideas?


note: I'm fully aware alternatives exist.

Paul41
September 11th, 2008, 01:38 AM
I'm having a similar issue with itunes 8 - not sure what's going wrong. The install still seems to finish correctly, but there's no itunes directory in Program Files.

Any ideas?


note: I'm fully aware alternatives exist.

It doesn't look like iTunes 8 will work with wine.

http://appdb.winehq.org/objectManager.php?sClass=application&iId=1347

El_Perro_Perduto
September 11th, 2008, 03:53 PM
Having problems installing itunes 8.0 with wine as well.

It seems like if you're doing a de novo itunes install you need to download an older version. Problem is that I can't find any more links to older installs online except for the Windows 2000 version.
http://www.apple.com/support/downloads/itunes732forwindows2000.html

Does anyone have a link or can they attach an install for itunes 7.x; or whatever the latest version was that works with wine prior to 8.0?

Thnx!
:guitar:

connorh123
September 12th, 2008, 01:09 AM
Itunes 8 does not like ubuntu at all. You have to get 7.7, but the problem is with that is that it doesn't look like you can download older versions. Any theories?

ImNeat
September 12th, 2008, 05:10 PM
Once this site is updated 7.7 should be available.
http://www.oldapps.com/itunes.htm

core
September 13th, 2008, 12:36 AM
Does anyone have a link or can they attach an install for itunes 7.x; or whatever the latest version was that works with wine prior to 8.0?

Google is your friend: http://rc.vc/files/ipod/mirror/itunes/iTunes77Setup.exe

connorh123
September 13th, 2008, 02:49 AM
What's weird is that when I try to run iTunes 7.7, it won't let me, it says you must run in vista or XP. And I added it into wine cfg and tried vista and XP, still no results. Does anyone share this problem? Or has anyone resolved this?

ubuwatson
September 17th, 2008, 01:54 AM
One option is to install virtual box, run windows inside of it and then use itunes, it worked fine for me, but i am finding more and more than I like the linux options better like rythmbox for instance I have used itunes for years and the the best part of the itunes application is the online store which is clean and better organized than most, otherwise the application itself is rather pedestrian and the more I use an application like rythmbox, the more I realize that 95% of the what I need is right there. With sites like Amazon.com offering DRM free 256 mp3s and support of linux (with the amazon downloader) you have to ask yourself do I really need itunes ?

Poyntz
July 25th, 2009, 07:02 AM
Does it absolutely have to be iTunes? Rythembox, Banshee and several other programs are a lot like iTunes and will work with iPods.

gtkpod is fine for all intensive purposes. however it does not support iPhones. As such, many, including myself, are looking for a work around which allows us to sync songs on an iPhone. iTunes 8.x software are the first that support synchronisation with the new technology. previous software did not. that is why software like Banshee and gtkpod are inadequate for iPhone synchronisation.